Bug 126011 - krfb and krdc: Segmentation fault
krfb and krdc: Segmentation fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-15 05:51 EDT by Thomas Boerkel
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-24 05:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Boerkel 2004-06-15 05:51:12 EDT
Description of problem:
If I try to start krfb or krdc, I get immediately a segmentation fault
without further info. 
After I force a reinstall of kdenetwork, krfb and krdc work fine for a
while. Then they suddenly start segfaulting again, until I again
reinstall kdenetwork.
I do not know, what causes them to stop working.
vncserver always works fine.

Version-Release number of selected component (if applicable):
3.1.4

How reproducible:
See description.

Steps to Reproduce:
1. See description
2.
3.
  
Actual results:
Segmentation fault.

Expected results:
Working krfb/krdc.

Additional info:
Comment 1 Thomas Boerkel 2004-06-16 06:42:57 EDT
I found out, what causes it to seize functioning:
It's the nightly cron job prelink. If I run it manually, krfb/krdc do
not work anymore.

But I don't understand, why prelinking is a problem for
kdenetwork/krfb/krdc.
Comment 2 Thomas Boerkel 2004-06-24 05:41:14 EDT
Updating prelink from 0.3.0 to 0.3.2 fixed the problem.

Note You need to log in before you can comment on or make changes to this bug.